summaryrefslogtreecommitdiffstats
path: root/bin/g-i-installation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/g-i-installation.sh')
-rw-r--r--bin/g-i-installation.sh26
1 files changed, 16 insertions, 10 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index de808dcf..37e56a46 100644
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -1211,19 +1211,25 @@ save_logs() {
#
# get list of installed packages
#
- sudo chroot $SYSTEM_MNT dpkg -l > $RESULTS/dpkg-l || { echo "Warning: cannot run dpkg inside the installed system, did the installation finish correctly?" ; export FAILURE=true ; }
- #
- # check for must installed packages
- #
case $NAME in
- *_brltty)
- grep brltty $RESULTS/dpkg-l || { echo "Warning: package brltty not installed." ; export FAILURE=true ; }
- ;;
- *_speakup)
- grep epeakup $RESULTS/dpkg-l || { echo "Warning: package espeakup not installed." ; export FAILURE=true ; }
+ *_kfreebsd*|*_hurd*)
;;
*)
- ;;
+ sudo chroot $SYSTEM_MNT dpkg -l > $RESULTS/dpkg-l || { echo "Warning: cannot run dpkg inside the installed system, did the installation finish correctly?" ; export FAILURE=true ; }
+ #
+ # check for must installed packages
+ #
+ case $NAME in
+ *_brltty)
+ grep brltty $RESULTS/dpkg-l || { echo "Warning: package brltty not installed." ; export FAILURE=true ; }
+ ;;
+ *_speakup)
+ grep epeakup $RESULTS/dpkg-l || { echo "Warning: package espeakup not installed." ; export FAILURE=true ; }
+ ;;
+ *)
+ ;;
+ esac
+ ;;
esac
#